> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v3migrationsconsumers 



## OpenAPI

````yaml /lumx_openapi.yaml post /v3/migrations/consumers/{userID}/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/migrations/consumers/{userID}/:
    post:
      tags:
        - migrations
      operationId: migrations_consumers_create_2
      parameters:
        - in: path
          name: userID
          schema:
            type: string
            pattern: ^[\w-]+$
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConsumerConsumerContractAdditionalMigration'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/ConsumerConsumerContractAdditionalMigration'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ConsumerConsumerContractAdditionalMigration'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ConsumerConsumerContractAdditionalMigration
          description: ''
components:
  schemas:
    ConsumerConsumerContractAdditionalMigration:
      type: object
      description: you need to set "salespartner" context
      properties:
        masked_credit_card:
          type: string
          maxLength: 16
        credit_card_validity_date:
          type: string
          format: date
        sepa_date:
          type: string
          format: date
        sepa_reference:
          type: string
        payment_method:
          allOf:
            - $ref: '#/components/schemas/PaymentMethodEnum'
          default: direct_debit
        deliv_address_street:
          type: string
        deliv_address_house_number:
          type: string
          maxLength: 10
        deliv_address_addition:
          type: string
        deliv_address_zipcode:
          type: string
          maxLength: 5
        deliv_address_city:
          type: string
        bill_address_street:
          type: string
        bill_address_house_number:
          type: string
          maxLength: 10
        bill_address_addition:
          type: string
        bill_address_zipcode:
          type: string
          maxLength: 5
        bill_address_city:
          type: string
        is_business:
          type: boolean
        is_small_business:
          type: boolean
        company_name:
          type: string
        salutation:
          $ref: '#/components/schemas/SalutationEnum'
        title:
          default: ''
          oneOf:
            - $ref: '#/components/schemas/TitleEnum'
            - $ref: '#/components/schemas/BlankEnum'
        first_name:
          type: string
        last_name:
          type: string
        birthday:
          type: string
          format: date
        telephone:
          type: string
        email:
          type: string
          format: email
        accounting_email:
          type: string
          format: email
        tax_number:
          type: string
          maxLength: 13
        preferred_delivery_start:
          type: string
        subscription_reason:
          $ref: '#/components/schemas/SubscriptionReasonEnum'
        meter_id:
          type: string
        meteringpoint_id:
          type: string
        bank_data_first_name:
          type: string
        bank_data_last_name:
          type: string
        bank_data_iban:
          type: string
        bank_data_bic:
          type: string
        saas_customer_id:
          type: string
          maxLength: 32
        saas_contract_id:
          type: string
          maxLength: 64
        third_party_salespartner:
          type: string
        free_amount:
          type: integer
          minimum: 0
        consumption_before_battery_installation:
          type: integer
          minimum: 0
        order_date:
          type: string
          format: date
        tariff_type:
          type: string
        username:
          type: string
          maxLength: 50
        saas_customer_lead_id:
          type: string
          maxLength: 255
        has_intelligent_meter:
          type: boolean
          nullable: true
        order_smart_meter:
          type: boolean
          nullable: true
        order_smart_meter_provider_id:
          type: string
          nullable: true
        source:
          type: string
          nullable: true
        product_specifics:
          type: object
          additionalProperties: {}
        former_supplier_contract_terminated:
          type: boolean
          default: false
        former_supplier_contract_termination_date:
          type: string
          format: date
          nullable: true
        previous_provider:
          type: string
        annual_consumption:
          type: integer
        former_supplier_first_name:
          type: string
        former_supplier_last_name:
          type: string
        perform_credit_check:
          type: boolean
          default: false
        contract_relationships:
          type: array
          items:
            $ref: '#/components/schemas/ContractRelationship'
        automatic_prolongation_time:
          type: integer
        contract_notice_period:
          type: integer
        contract_notice_period_unit:
          $ref: '#/components/schemas/ContractNoticePeriodUnitEnum'
        minimum_contract_term:
          type: integer
        base_fee_price_brutto:
          type: number
          format: double
        base_fee_price_netto:
          type: number
          format: double
        working_price_1_price_brutto:
          type: number
          format: double
        working_price_1_price_netto:
          type: number
          format: double
        ht_working_price_price_brutto:
          type: number
          format: double
        ht_working_price_price_netto:
          type: number
          format: double
        nt_working_price_price_brutto:
          type: number
          format: double
        nt_working_price_price_netto:
          type: number
          format: double
        is_htnt:
          type: boolean
          default: false
        keep_bill_address:
          type: boolean
          default: true
      required:
        - annual_consumption
        - deliv_address_city
        - deliv_address_house_number
        - deliv_address_street
        - deliv_address_zipcode
        - email
        - first_name
        - is_business
        - last_name
        - salutation
        - subscription_reason
        - tariff_type
    PaymentMethodEnum:
      enum:
        - credit_card_display_only
        - direct_debit
        - bank_transfer
        - credit_card
        - no_payment_method
      type: string
      description: |-
        * `credit_card_display_only` - Kreditkarte (nur Anzeige)
        * `direct_debit` - SEPA Einzugsermächtigung
        * `bank_transfer` - Überweisung
        * `credit_card` - Kreditkarte
        * `no_payment_method` - Keine Zahlmethode
    SalutationEnum:
      enum:
        - Frau
        - Herr
        - Eheleute
        - Divers
      type: string
      description: |-
        * `Frau` - Frau
        * `Herr` - Herr
        * `Eheleute` - Eheleute
        * `Divers` - Divers
    TitleEnum:
      enum:
        - Dr.
        - Prof.
        - Prof. Dr.
      type: string
      description: |-
        * `` - Titel
        * `Dr.` - Dr.
        * `Prof.` - Prof.
        * `Prof. Dr.` - Prof. Dr.
    BlankEnum:
      enum:
        - ''
    SubscriptionReasonEnum:
      enum:
        - E01
        - E02
        - E03
      type: string
      description: |-
        * `E01` - Ein-/Auszug (Umzug)
        * `E02` - Einzug/Neuanlage
        * `E03` - Wechsel
    ContractRelationship:
      type: object
      properties:
        target_contract_id:
          type: string
        relationship_type:
          $ref: '#/components/schemas/RelationshipTypeEnum'
        valid_from:
          type: string
          format: date
      required:
        - relationship_type
        - target_contract_id
    ContractNoticePeriodUnitEnum:
      enum:
        - w
        - m
      type: string
      description: |-
        * `w` - Woche
        * `m` - Monat
    RelationshipTypeEnum:
      enum:
        - contract_is_paid_by
        - contract_is_terminated_together_with
        - is_private_complement
      type: string
      description: |-
        * `contract_is_paid_by` - bezahlt von
        * `contract_is_terminated_together_with` - gekündigt bei Kündigung von
        * `is_private_complement` - Privater Anteil

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.